Page MenuHomePhabricator

Integrate non-developpement sessions or projects to Vienna hackathon
Closed, ResolvedPublic

Description

Based on the two previous hackathon experience, there is always people attending who are not developers but who can/want to enjoy the hackathon by working on maintenance on their wiki, increasing their technical knowledge focusing on contributions or other things. We should consider to give them an opportunity to have dedicated tracks or workshops, to be part of the big tech movement. That would be integrated on hackathon's programme

Some examples:

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 28 2016, 6:53 PM

I think that a dedicated skill-learning room would be good. People can look at the schedule and choose what they would like to learn. Maybe in a 2 hour cycle. 15 minute introduction. Then the people that want to work on something stay in the room with the instructor. That also means that each instructor is just 2 hours away from their main project.

Interesting idea, @Tobias1984. That can fit to any technical or non-technical skill.

I'm adding Rachel Farrand to know if it is possible to have a track dedicated to non-technical projects.

Thanks @Tobias1984 !
Yes I agree! In fact we already do a bit of this.
In Vienna 2017 we are planning to have a documentation sprint and how-to-document sessions run by Lea and Jens from WMDE.
It is also very likely that we will have some translation efforts. I may even be leading one myself.

Otherwise project managers are welcome, designers are welcome, and basically anyone else who has a plan to contribute.
Everything you mention above would be more than welcome and basically just needs an attendee who is interested in "owning" (or managing) that effort.

If there is anything we can do to help support anyone who is interested in leading one of these efforts just let me and @srishakatux know.

I plan to how to do a create/maintain TemplateData workshop and a how to translate the interface (translathon).

Trizek-WMF renamed this task from Think about how to integrate non-technical sessions or projects to hackathons to Integrate non-developpement sessions or projects to Vienna hackathon.EditedFeb 20 2017, 2:59 PM
Trizek-WMF updated the task description. (Show Details)
Trizek-WMF added a subscriber: johl.

If there is anything we can do to help support anyone who is interested in leading one of these efforts just let me and @srishakatux know.

@Rfarrand, I've updated the task accordingly. If you need help, I can coordinate those sessions.

Anyone, please pick-up tasks or create sub-tasks of needed. :)

If any of these projects end up with an owner and are proposed to happen please add the related tasks here:
https://phabricator.wikimedia.org/project/board/2530/

Trizek-WMF updated the task description. (Show Details)Feb 22 2017, 4:23 PM
Trizek-WMF updated the task description. (Show Details)Mar 1 2017, 2:48 PM
Aklapper closed this task as Resolved.Dec 13 2017, 6:32 PM
Aklapper claimed this task.
Aklapper removed Aklapper as the assignee of this task.Dec 13 2017, 6:34 PM